package com.ssj.service.kmt.dto.exercise;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.Date;

/**
 * @author yanghuan
 * @title: KmtExerciseQuestionRollBackInfo
 * @projectName ssj
 * @description: TODO
 * @date 2020/4/20 13:16
 */
public class KmtExerciseQuestionRollBackInfo {

    private static final long serialVersionUID = 1L;

    private Date createTime;

    private String reason;

    private String fromUser;

    private String id;

    private String toUser;

    private String fromType;

    private String toType;

    private String userId;

    private String toUserId;

    private  String tbUserId;

    private  String tbToUserId;

    public String getTbUserId() {
        return tbUserId;
    }

    public void setTbUserId(String tbUserId) {
        this.tbUserId = tbUserId;
    }

    public String getTbToUserId() {
        return tbToUserId;
    }

    public void setTbToUserId(String tbToUserId) {
        this.tbToUserId = tbToUserId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getToUserId() {
        return toUserId;
    }

    public void setToUserId(String toUserId) {
        this.toUserId = toUserId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getFromUser() {
        return fromUser;
    }

    public void setFromUser(String fromUser) {
        this.fromUser = fromUser;
    }

    public String getToUser() {
        return toUser;
    }

    public void setToUser(String toUser) {
        this.toUser = toUser;
    }

    @JSONField(serialize = false)
    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    @JSONField(serialize = false)
    public String getToType() {
        return toType;
    }

    public void setToType(String toType) {
        this.toType = toType;
    }
}
